Package ghidra.app.decompiler

# Class DecompilerLocationInfo

java.lang.Object
ghidra.app.decompiler.DecompilerLocationInfo

public class DecompilerLocationInfo extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecompilerLocationInfo()`
  Default constructor required for restoring a program location from XML.
  `DecompilerLocationInfo(Address entryPoint, DecompileResults results, ClangToken token, int lineNumber, int charPos)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `int`
  `getCharPos()`
  `DecompileResults`
  `getDecompile()`
  Results from the decompilation
  `Address`
  `getFunctionEntryPoint()`
  `int`
  `getLineNumber()`
  `ClangToken`
  `getToken()`
  C text token at the current cursor location
  `String`
  `getTokenName()`
  `int`
  `hashCode()`
  `void`
  `restoreState(Program program1, SaveState obj)`
  `void`
  `saveState(SaveState saveState)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DecompilerLocationInfo

    public DecompilerLocationInfo(Address entryPoint, DecompileResults results, ClangToken token, int lineNumber, int charPos)

  - ### DecompilerLocationInfo

    public DecompilerLocationInfo()
    Default constructor required for restoring a program location from XML.

- ## Method Details

  - ### getFunctionEntryPoint

    public Address getFunctionEntryPoint()

  - ### getDecompile

    public DecompileResults getDecompile()
    Results from the decompilation
    Returns:
      C-AST, DFG, and CFG object. null if there are no results attached to this location

  - ### getToken

    public ClangToken getToken()
    C text token at the current cursor location
    Returns:
      token at this location, could be null if there are no decompiler results

  - ### getTokenName

    public String getTokenName()

  - ### getLineNumber

    public int getLineNumber()

  - ### getCharPos

    public int getCharPos()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### saveState

    public void saveState(SaveState saveState)

  - ### restoreState

    public void restoreState(Program program1, SaveState obj)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`